Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.deadlines.notifications.impl.email
Class EmailNotificationListener

    java.lang.Object
      org.jbpm.services.task.deadlines.notifications.impl.email.EmailNotificationListener

All Implemented Interfaces:
  NotificationListener

    @ApplicationScoped
    public class EmailNotificationListener

extends Object
implements NotificationListener

Constructor Summary
`EmailNotificationListener()`

Method Summary
`protected void` | `buildMapByLanguage(Map<String,List<User>> map, Group group)`
`protected void` | `buildMapByLanguage(Map<String,List<User>> map, User user)`
`protected List<String>` | `getAttachements(Object attachementsFromVariables)`
`protected URL` | `getAttachemntURL(String attachment)`
`protected javax.mail.Session` | `getSession()`
`protected org.kie.internal.task.api.UserInfo` | `getUserInfo()`
`void` | `onNotification(org.kie.internal.task.api.model.NotificationEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailNotificationListener

    public EmailNotificationListener()

Method Detail

### getUserInfo

    protected org.kie.internal.task.api.UserInfo getUserInfo()

### getSession

    protected javax.mail.Session getSession()

### onNotification

    public void onNotification(@Observes
                               org.kie.internal.task.api.model.NotificationEvent event)

  Specified by:
    `onNotification` in interface `NotificationListener`

### getAttachemntURL

    protected URL getAttachemntURL(String attachment)
                            throws MalformedURLException

  Throws:
    `MalformedURLException`

### getAttachements

    protected List<String> getAttachements(Object attachementsFromVariables)

### buildMapByLanguage

    protected void buildMapByLanguage(Map<String,List<User>> map,
                                      Group group)

### buildMapByLanguage

    protected void buildMapByLanguage(Map<String,List<User>> map,
                                      User user)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.